import request from '../utils/request';
function getCurrentTimestamp() {
    return new Date().getTime();
}


// 提交申请
export function ReviewAdd(data, token) {
    return request({
        url: '/review/add',
        method: 'post',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}
// 获取我的审核列表
export function GetMyReview(data, token) {
    return request({
        url: '/review/getMyReview',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//修改审核状态
// id result
export function UpdateReviewResult(data, token) {
    return request({
        url: '/review/updateReviewResult',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//获取审核记录
export function ReviewRecords(data, token) {
    return request({
        url: '/review/getReviewRecords',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}